# H245_ConferenceRequest Class Reference

`#include <h245.h>`

List of all members.

## Public Types

enum | Choices { e_terminalListRequest, e_makeMeChair, e_cancelMakeMeChair, e_dropTerminal, e_requestTerminalID, e_enterH243Password, e_enterH243TerminalID, e_enterH243ConferenceID, e_enterExtensionAddress, e_requestChairTokenOwner, e_requestTerminalCertificate, e_broadcastMyLogicalChannel, e_makeTerminalBroadcaster, e_sendThisSource, e_requestAllTerminalIDs, e_remoteMCRequest }

## Public Member Functions

| H245_ConferenceRequest (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H245_TerminalLabel & ()
| operator const H245_TerminalLabel & () const
| operator H245_ConferenceRequest_requestTerminalCertificate & ()
| operator const H245_ConferenceRequest_requestTerminalCertificate & () const
| operator H245_LogicalChannelNumber & ()
| operator const H245_LogicalChannelNumber & () const
| operator H245_RemoteMCRequest & ()
| operator const H245_RemoteMCRequest & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H245_ConferenceRequest::Choices

Enumerator:

  e_terminalListRequest |
  e_makeMeChair |
  e_cancelMakeMeChair |
  e_dropTerminal |
  e_requestTerminalID |
  e_enterH243Password |
  e_enterH243TerminalID |
  e_enterH243ConferenceID |
  e_enterExtensionAddress |
  e_requestChairTokenOwner |
  e_requestTerminalCertificate |
  e_broadcastMyLogicalChannel |
  e_makeTerminalBroadcaster |
  e_sendThisSource |
  e_requestAllTerminalIDs |
  e_remoteMCRequest |

## Constructor & Destructor Documentation

H245_ConferenceRequest::H245_ConferenceRequest | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H245_ConferenceRequest::operator H245_TerminalLabel & | ( |  | ) |

H245_ConferenceRequest::operator const H245_TerminalLabel & | ( |  | ) | const

H245_ConferenceRequest::operator H245_ConferenceRequest_requestTerminalCertificate & | ( |  | ) |

H245_ConferenceRequest::operator const H245_ConferenceRequest_requestTerminalCertificate & | ( |  | ) | const

H245_ConferenceRequest::operator H245_LogicalChannelNumber & | ( |  | ) |

H245_ConferenceRequest::operator const H245_LogicalChannelNumber & | ( |  | ) | const

H245_ConferenceRequest::operator H245_RemoteMCRequest & | ( |  | ) |

H245_ConferenceRequest::operator const H245_RemoteMCRequest & | ( |  | ) | const

PBoolean H245_ConferenceRequest::CreateObject | ( |  | ) |

PObject* H245_ConferenceRequest::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h245.h